<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    style="@style/AppTheme"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorPrimary"
    tools:context=".ViewActivity">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/colorPrimaryDark"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:titleMargin="0dp">

    </androidx.appcompat.widget.Toolbar>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="horizontal"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageButton
            android:id="@+id/back"
            style="@style/Widget.AppCompat.Button.Borderless"
            android:layout_width="56dp"
            android:layout_height="50dp"
            android:rotation="180"
            android:src="@drawable/baseline_arrow_forward_white_36"
            android:text="" />

        <TextView
            android:id="@+id/title_label"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:fontFamily="sans-serif-black"
            android:paddingTop="8dp"
            android:text="TITLE"
            android:textAlignment="viewStart"
            android:textColor="@color/colorPrimary"
            android:textSize="24sp" />
    </LinearLayout>

    <ScrollView
        android:id="@+id/scrollView2"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@+id/fa_layout"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/toolbar">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/url_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="20dp"
                android:text="Login URL"
                android:textSize="18sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/email_input" />

            <TextView
                android:id="@+id/email_input"
                style="@style/Widget.AppCompat.AutoCompleteTextView"
                android:layout_width="354dp"
                android:layout_height="48dp"
                android:layout_marginStart="16dp"
                android:background="@color/colorPrimary"
                android:ems="10"
                android:fontFamily="sans-serif-black"
                android:singleLine="true"
                android:textSize="20sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/email_label" />

            <TextView
                android:id="@+id/username_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="20dp"
                android:text="Username"
                android:textSize="18sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/password_input"
                android:layout_width="288dp"
                android:layout_height="68dp"
                android:layout_marginStart="16dp"
                android:background="@color/colorPrimary"
                android:fontFamily="sans-serif-black"
                android:gravity="center_vertical"
                android:inputType="textPassword"
                android:singleLine="true"
                android:textColor="@color/colorPrimaryDark"
                android:textSize="42sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/password_label" />

            <TextView
                android:id="@+id/username_input"
                style="@style/Widget.AppCompat.AutoCompleteTextView"
                android:layout_width="wrap_content"
                android:layout_height="50dp"
                android:layout_marginStart="16dp"
                android:background="@color/colorPrimary"
                android:ems="10"
                android:fontFamily="sans-serif-black"
                android:singleLine="true"
                android:textSize="24sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/username_label" />

            <TextView
                android:id="@+id/password_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="20dp"
                android:text="Password"
                android:textSize="18sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/username_input" />

            <TextView
                android:id="@+id/url_input"
                style="@style/Widget.AppCompat.AutoCompleteTextView"
                android:layout_width="354dp"
                android:layout_height="48dp"
                android:layout_marginStart="15dp"
                android:background="@color/colorPrimary"
                android:ems="10"
                android:fontFamily="sans-serif-black"
                android:singleLine="true"
                android:textSize="24sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/url_label" />

            <TextView
                android:id="@+id/email_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="20dp"
                android:text="E-Mail"
                android:textSize="18sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/password_input" />

            <ImageButton
                android:id="@+id/password_hide"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="28dp"
                android:background="@color/colorPrimary"
                app:layout_constraintBottom_toBottomOf="@+id/password_input"
                app:layout_constraintStart_toEndOf="@+id/password_input"
                app:layout_constraintTop_toTopOf="@+id/password_input"
                app:layout_constraintVertical_bias="0.45"
                app:srcCompat="@drawable/ic_visibility_on" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/fa_layout"
        android:layout_width="match_parent"
        android:layout_height="120dp"
        android:background="@color/colorPrimary"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="@id/scrollView2">

        <TextView
            android:id="@+id/fa_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="16dp"
            android:text="Two factor authentication"
            android:textSize="18sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <EditText
            android:id="@+id/fa_input"
            style="@style/Widget.AppCompat.AutoCompleteTextView"
            android:layout_width="354dp"
            android:layout_height="48dp"
            android:layout_marginStart="16dp"
            android:background="@color/colorPrimary"
            android:editable="false"
            android:ems="10"
            android:fontFamily="sans-serif-black"
            android:hint="TAP TO SCAN"
            android:inputType="none|textEmailAddress"
            android:singleLine="true"
            android:textSize="24sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/fa_label" />

        <ProgressBar
            android:id="@+id/fa_progress"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="379dp"
            android:layout_height="15dp"
            android:layout_marginStart="16dp"
            android:layout_marginTop="-10dp"
            android:layout_marginEnd="16dp"
            android:max="30"
            android:visibility="invisible"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/fa_input" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>